List the saved content versions for a campaign, newest first. A version is
curl --request GET \
--url https://api.parallellabs.app/api/v0/marketing-campaigns/{campaignId}/versions \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.parallellabs.app/api/v0/marketing-campaigns/{campaignId}/versions"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.parallellabs.app/api/v0/marketing-campaigns/{campaignId}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"bodyHtml": "<string>",
"campaignId": "<string>",
"created_date": "2023-11-07T05:31:56Z",
"data": "<string>",
"id": "<string>",
"uid": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Marketing Campaigns
List the saved content versions for a campaign, newest first. A version is
captured each time the campaign’s email body changes.
GET
/
api
/
v0
/
marketing-campaigns
/
{campaignId}
/
versions
List the saved content versions for a campaign, newest first. A version is
Authorizations
CompanyApiKeyBearerAuth & CompanyId
Company API key - scoped to a specific company. Generate from the Integrations page in your dashboard.
Path Parameters
Response
The campaign's saved content versions, newest first
A campaign's saved content versions, newest first
Show child attributes
Show child attributes
Send a one-off test email for a campaign to a specific address.Restore a campaign's body to a previously saved version. The restore is
⌘I

